Bug 733940 - control-center epoch mixup blocks updates
Summary: control-center epoch mixup blocks updates
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-28 19:27 UTC by Michal Jaegermann
Modified: 2015-02-17 13:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 13:51:27 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2011-08-28 19:27:16 UTC
Description of problem:

With control-center-3.1.4-1.fc17 and control-center-filesystem-3.1.5-3.fc17 packages installed yum disregards current control-center-3.1.5-3 packages. When explicitly retrieved an attempt to update ends up with:

./control-center-3.1.5-3.fc17.x86_64.rpm: does not update installed package.
No Packages marked for Update

This failure blocks a number of other packages from an update.

The trouble is that control-center-3.1.4-1.fc17 is "Epoch: 2" while control-center-3.1.5-3.fc17 is "Epoch: 1".  With new packages retrieved running

  yum downgrade ./control-ce*

suddenly finds all these other updates which were failing due to dependencies troubles.

Version-Release number of selected component (if applicable):
control-center-3.1.4-1.fc17
control-center-3.1.5-3.fc17

How reproducible:
always

Additional information:
Curiously enough all corresponding fc16 packages seem to be "Epoch: 1".

Comment 1 Fedora End Of Life 2013-04-03 14:14:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Fedora End Of Life 2015-01-09 16:45:48 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-02-17 13:51:27 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.